VMware vCenter Log4Shell Direct Check (CVE-2021-44228) (VMSA-2021-0028)

critical Nessus Plugin ID 156035

Synopsis

A virtualization management application installed on the remote host is affected by a remote code execution vulnerability.

Description

A remote code execution vulnerability exists in VMWare vCenter in the bundled Apache Log4j logging library. Apache Log4j is vulnerable due to insufficient protections on message lookup substitutions when dealing with user controlled input. A remote, unauthenticated attacker can explolit this, via a web request, to execute arbitrary code with the permission level of the running Java process.

Solution

Upgrade to a patched version of VMware vCenter if available or apply the workaround mentioned in the advisory.

See Also

https://www.vmware.com/security/advisories/VMSA-2021-0028.html

https://kb.vmware.com/s/article/87081

Plugin Details

Severity: Critical

ID: 156035

File Name: vmware_vcenter_log4shell.nbin

Version: 1.27

Type: remote

Family: Misc.

Published: 12/13/2021

Updated: 8/31/2022

Risk Information

VPR

Risk Factor: Critical

Score: 10

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 8.1

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2021-44228

CVSS v3

Risk Factor: Critical

Base Score: 10

Temporal Score: 9.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:vmware:vcenter_server

Required KB Items: Host/VMware/vCenter, Host/VMware/version, Host/VMware/release

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 12/9/2021

CISA Known Exploited Dates: 12/24/2021

Exploitable With

CANVAS (CANVAS)

Reference Information

CVE: CVE-2021-44228

IAVA: 2021-A-0573, 0001-A-0650, 2022-A-0060